<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sessionscontent extends MX_Controller {
	public $table = "sessions_content";
	public function __construct()
	{
		parent::__construct();
		$this->load->model("sessionscontent_model");
		$this->load->model("sessions/sessions_model");
		
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
	}
	public function index()
	{
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
		else
		{
			$data["table"]=$this->table;
			$data["menu"]="ssactive";
			$this->load->view('dashboard/header',$data);	
			$sessionscontent=$this->sessionscontent_model->getAllbanners();
			$data["sessionscontent"]=$sessionscontent;
		
			$this->load->view('sessionscontent',$data);
			$this->load->view('dashboard/footer');
		}
	}
	public function createsessionscontent()
	{
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
		else
		{	
			$data["menu"]="ssactive";
			$this->load->view('dashboard/header',$data);
			$sessions=$this->sessions_model->getAllbanners();
			$data["sessions"]=$sessions;
		
			$this->load->view('create-sessionscontent',$data);
			$this->load->view('dashboard/footer');
		}
	}
	public function savesessionscontent()
	{
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
		else
		{	
			
			$params=array(
				
				'sessions_id' => $this->input->post("sessions_id"),
				'subtrack' =>$this->input->post("subtrack"),
				//'description' => $this->input->post("description"),				
				'created_date' => @date("Y-m-d H:i:s"),					
			);
			//print_r($params);die();
			$table="{PRE}sessions_content";
			$sessionscontent=$this->sessionscontent_model->storeItems($table,$params);
			if($sessionscontent == 1)
			{
				$success_categories=array(
					'success_categories' => "Successfully sessionscontent Created."
				);
				$this->session->set_userdata($success_categories);
				redirect(base_url()."index.php/sessionscontent");
			}
			else
			{
				$err_categories=array(
					'err_categories' => "Failed to create sessionscontent."
				);
				$this->session->set_userdata($err_categories);
				redirect(base_url()."index.php/sessionscontent/createsessionscontent");
			}					
			
		}
	}	
	
	public function editsessionscontent($sessionscontentid)
	{
		$sessionscontentid=str_replace("_","=",base64_decode($sessionscontentid));
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
		else
		{
			$data["menu"]="ssactive";
			$this->load->view('dashboard/header',$data);
			$data["sessionscontentid"]=$sessionscontentid;
			$sessionscontent=$this->sessionscontent_model->getsessionscontentid($sessionscontentid);
			$data["sessionscontent"]=$sessionscontent;
			//print_r($sessionscontent);die();
			$sessions=$this->sessions_model->getAllbanners();
			$data["sessions"]=$sessions;
		
			$this->load->view('edit-sessionscontent',$data);
			$this->load->view('dashboard/footer');
		}
	}
	
	public function updatesessionscontent()
	{
		if($this->session->userdata("is_logged_in") != 1)
		{
			redirect(base_url()."index.php/login");
		}
		else
		{	
			
			$sessionscontentid = $this->input->post("sessionscontentid");
			$params=array(
			
				'sessions_id' => $this->input->post("sessions_id"),
				'subtrack' => $this->input->post("subtrack"),
				//'description' => $this->input->post("description"),
			);
			//print_r($params);die();
			$table="{PRE}sessions_content";
			$sessionscontent=$this->sessionscontent_model->updateItems($table,$params,$sessionscontentid);
			if($sessionscontent == 1)
			{
				$success_categories=array(
					'success_categories' => "Successfully sessionscontent Updated."
				);
				$this->session->set_userdata($success_categories);
				redirect(base_url()."index.php/sessionscontent");
			}
			else{
				$err_categories=array(
					'err_categories' => "Failed to Update sessionscontent."
				);
				$this->session->set_userdata($err_categories);
				redirect(base_url()."index.php/sessionscontent");
			}
			
		}
	}
	
	
	public function deletesessionscontent($sessionscontentid)
	{
		$sessionscontentid=str_replace("_","=",base64_decode($sessionscontentid));
		$sessionscontent=$this->sessionscontent_model->deletesessionscontent($sessionscontentid);
		if($sessionscontent == 1)
		{
			$success_categories=array(
				'success_categories' => "Successfully Deleted."
			);
			$this->session->set_userdata($success_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
		else
		{
			$err_categories=array(
				'err_categories' => "Failed to Delete."
			);
			$this->session->set_userdata($err_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
		
	}
	
	public function inactiveItem($sessionscontentid)
	{
		//$sessionscontentid=str_replace("_","=",base64_decode($usersid));
		$params=array(
			"status" => 0
		);
		$success=$this->sessionscontent_model->itemStatusMode($this->table,$params,$sessionscontentid);
		if($success == 1)
		{
			$success_categories=array(
				'success_categories' => "Successfully Updated User Status."
			);
			$this->session->set_userdata($success_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
		else{
			$err_categories=array(
				'err_categories' => "Failed to Update User Status."
			);
			$this->session->set_userdata($err_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
	}
	
	public function activeItem($sessionscontentid)
	{
		//$sessionscontentid=str_replace("_","=",base64_decode($sessionscontentid));
		$params=array(
			"status" => 1
		);
		$success=$this->sessionscontent_model->itemStatusMode($this->table,$params,$sessionscontentid);
		if($success == 1)
		{
			$success_categories=array(
				'success_categories' => "Successfully Updated User Status."
			);
			$this->session->set_userdata($success_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
		else{
			$err_categories=array(
				'err_categories' => "Failed to Update User Status."
			);
			$this->session->set_userdata($err_categories);
			redirect(base_url()."index.php/sessionscontent");
		}
	}
	
	
	
	
}

